<%@ Page Language="C#" %>

<script runat="server">
    //       
    //  ,   
    TextBox txtName;
    String result = "";
    int count = 0;

    protected void Page_Load(object sender, EventArgs e)
    {
        this.Response.Write("<h1 style='color: Red;'> Cookies</h1>");

        Label label = new Label();
        label.Text = " :&nbsp;&nbsp;";
        form1.Controls.Add(label);

        txtName = new TextBox();
        txtName.Text = " ..";
        form1.Controls.Add(txtName);

        form1.Controls.Add(new HtmlGenericControl("br"));

        Button button = new Button();
        button.Text = "";
        form1.Controls.Add(button);

        button = new Button();
        button.Text = "";
        form1.Controls.Add(button);
        button.Click += btnSaveClick;

        button = new Button();
        button.Text = "";
        form1.Controls.Add(button);
        button.Click += btnRestoreClick;

        form1.Controls.Add(new HtmlGenericControl("br"));

        button = new Button();
        button.Text = "";
        form1.Controls.Add(button);
        button.Click += btnDeleteClick;

        form1.Controls.Add(new HtmlGenericControl("br"));

        HyperLink link = new HyperLink();
        form1.Controls.Add(link);
        String nameCurrentPage = this.GetType().Name;
        String[] parts = nameCurrentPage.Split('_');
        if (String.Compare(parts[0], "CookiesPage1", true) == 0)
            link.NavigateUrl = "CookiesPage2" + ".aspx";
        else
            link.NavigateUrl = "CookiesPage1" + ".aspx";
        link.Text = "  " + link.NavigateUrl;

        //      
        DisabledViewState(form1.Controls);

        //     
        HttpCookie cookie = this.Request.Cookies["count"];
        if (cookie != null)
        {
            int.TryParse(cookie.Value, out count);
        }
        count++;
        //        
        cookie = this.Response.Cookies["count"];
        cookie.Value = count.ToString();
        //     :   1  
        cookie.Expires = DateTime.Now.AddDays(1);
        //     
        result = " : " + count.ToString();
    }

    //        
    void DisabledViewState(ControlCollection controls)
    {
        foreach (Control ctrl in controls)
        {
            //     
            if (ctrl.EnableViewState)
                ctrl.EnableViewState = false;

            //   
            if (ctrl.Controls != null)
                DisabledViewState(ctrl.Controls);
        }
    }

    //   
    protected override void Render(HtmlTextWriter output)
    {
        //     
        output.RenderBeginTag(HtmlTextWriterTag.Center);
        base.Render(output);
        output.Write("<hr />");
        output.Write(result);
        output.RenderEndTag();
    }

    //     "oldInfo"
    void btnSaveClick(object sender, EventArgs e)
    {
        //       
        HttpCookie cookie = new HttpCookie("oldInfo");
        //  ,   
        cookie["name"] = txtName.Text;
        cookie["clicks"] = count.ToString();
        //   
        //   -  
        // cookie.Expires = DateTime.Now.AddYears(1);
        this.Response.Cookies.Add(cookie);
    }

    //     "oldInfo"
    void btnRestoreClick(object sender, EventArgs e)
    {
        //     
        HttpCookieCollection cookies = this.Request.Cookies;
        //   
        HttpCookie cookie = cookies["oldInfo"];
        if (cookie != null)
        {
            //    
            string name = Server.HtmlEncode(cookie["name"]);
            string clicks = Server.HtmlEncode(cookie["clicks"]);
            result = " : " + name;
            result += "; c : " + clicks;
        }
        else
        {
            result = " ! ";
            result += " : " + count.ToString();
        }
    }

    //   "count"
    void btnDeleteClick(object sender, EventArgs e)
    {
        //    
        this.Response.Cookies["count"].Expires = 
            DateTime.Now.AddDays(-1);
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    
    </div>
    </form>
</body>
</html>
