<%@ Page Language="C#" EnableViewState="false" %>
    
<script runat="server">
    
    int clicks = 1;
    const int maxCol=2;
    HtmlTable table;
    
    protected void Page_Load(object sender, EventArgs e)
    {
        string[] headers = {
                //    sessionState 
                "Cookieless",
                "Mode",
                "Timeout",
                "RegenerateExpiredSessionId",
                "CookieName",
                //  
                "SessionID",
                "numRequest",
                "currentTime"
                            };
    
        //    
        //   
        Label label = new Label();
        form1.Controls.Add(label);
        label.Text = "<h2>  Session</h2>";
    
        if (!IsPostBack)
        {
            //      
            System.Configuration.Configuration config;
            config =
                System.Web.Configuration.WebConfigurationManager.
                OpenWebConfiguration(this.Request.ApplicationPath);
    
            //     SessionStateSection
            System.Web.Configuration.SessionStateSection sessionState;
    
            //   <sessionState>   <system.web>
            sessionState = (System.Web.Configuration.SessionStateSection)
                config.GetSection(@"system.web/sessionState");
            //sessionState.Timeout = TimeSpan.FromMinutes(1);
    
            //       
            table = new HtmlTable();
            table.Border = 1;
            for (int i = 0; i < headers.Length; i++)
            {
                //  
                HtmlTableRow row = new HtmlTableRow();
                table.Rows.Add(row);
                //    
                for (int j = 0; j < maxCol; j++)
                {
                    HtmlTableCell col = new HtmlTableCell();
                    row.Cells.Add(col);
                    if (j == 0)//  
                    {
                        col.InnerHtml = headers[i] + ":&nbsp;";
                        col.Align = "right";
                        col.BgColor = "Yellow";//  
                    }
                    else //  
                    {
                        //    
                        System.Type type = typeof(System.Web.Configuration.
                            SessionStateSection);
                        //      
                        System.Reflection.PropertyInfo property =
                            type.GetProperty(headers[i]);
                        if (property != null)
                        {
                            col.InnerHtml = "&nbsp;";
                            //       
                            col.InnerHtml += property.GetGetMethod().
                                Invoke(sessionState, null).ToString();
                        }
                        else
                        {
                            //  ,   
                            col.ID = headers[i];
                        }
                        col.BgColor = "#CCFFFF";//  
                    }
                }
            }
    
            //       
            this.Session.Add("table", table);
            this.Session["clicks"] = clicks;
        }
        else
        {
            //        
            table = (HtmlTable)this.Session["table"];
            clicks = (int)this.Session["clicks"];
            //   
            this.Session["clicks"] = ++clicks;
        }
    
        //    
        form1.Controls.Add(table);
    
        //  
        ((HtmlTableCell)Page.FindControl("SessionID")).InnerHtml =
            "&nbsp;" + this.Session.SessionID;
        ((HtmlTableCell)Page.FindControl("numRequest")).InnerHtml =
            "&nbsp;" + clicks.ToString();
        ((HtmlTableCell)Page.FindControl("currentTime")).InnerHtml =
            "&nbsp;" + DateTime.Now.ToLocalTime();
    
        //   HTML
        HtmlGenericControl br = new HtmlGenericControl();
        br.InnerHtml = "<br />";
        form1.Controls.Add(br);
    
        //  Submit
        Button submit = new Button();
        form1.Controls.Add(submit);
        submit.Text = "";
    }
</script>
    
<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server" style="text-align: center;">
    </form>
</body>
</html>
