﻿<%@ Page Language="C#" %>

<script runat="server">

    // Функция доступа к закрытому полю класса из внешнего кода
    public string GetName()
    {
        return txtName.Text;
    }

    // Свойство доступа к закрытым данным класса из внешнего кода
    public string GetTitle
    {
        get { return lblTitle.Text; }
    }

    string text;
    
    protected void Page_Load(object sender, EventArgs e)
    {
        // Просто отображаем страницу
        if (lstPost.SelectedItem == null)
            return;
        
        // Выбираем целевую страницу при AutoPostBack списка
        text = lstPost.SelectedItem.Text;
        if (String.Compare(text, "Студент", true) == 0)
            btnPostBackUrl.PostBackUrl = "~/CrossPageStudent.aspx";
        else 
            btnPostBackUrl.PostBackUrl = "~/CrossPageLecturer.aspx";
    }

    protected void btn_Click(object sender, EventArgs e)
    {
        // Контролируем наличие выбора при щелчках на кнопках
        if (lstPost.SelectedItem == null)
        {
            String mess = "<script>alert('Выберите сотрудника')</" + "script>";
            this.Response.Write(mess);
            return;
        }

        text = lstPost.SelectedItem.Text;
        
        // Различаем кнопки
        Button btn = (Button)sender;
        if (String.Compare(btn.Text, "PostBackUrl", true) != 0)
        {
            if (String.Compare(text, "Студент", true) == 0)
                this.Server.Transfer("~/CrossPageStudent.aspx", true);
            else
                this.Server.Transfer("~/CrossPageLecturer.aspx", true);
        }
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
        <div style="text-align: center">
            <asp:Label ID="lblTitle" runat="server" Text="Это вторая страница-источник"></asp:Label>
            <br />
            <br />
            Фамилия:&nbsp;
            <asp:TextBox ID="txtName" runat="server">Иванов</asp:TextBox>&nbsp;
            <asp:ListBox ID="lstPost" runat="server" Height="45px" AutoPostBack="True">
                <asp:ListItem>Студент</asp:ListItem>
                <asp:ListItem>Доцент</asp:ListItem>
            </asp:ListBox>
            <br />
            <br />
            <asp:Button ID="btnPostBackUrl" runat="server" Text="PostBackUrl" OnClick="btn_Click" />&nbsp;
            <asp:Button ID="btnServerTransfer" runat="server" OnClick="btn_Click"
                Text="Server.Transfer()" />
            <br />
            <br />
            <asp:HyperLink ID="HyperLink1" runat="server" NavigateUrl="SourcePostBack1.aspx">
            На первую страницу-источник</asp:HyperLink>
        </div>
    </form>
</body>
</html>
